resource_rules:
  issues:
    rules:
      - name: Flaky examples report
        conditions:
          state: opened
          labels:
            - "failure::flaky-test"
          forbidden_labels:
            - QA  # Surfaced in dedicated Quality triage reports.
            - "quarantined test"
          date:
            attribute: created_at
            condition: newer_than
            interval_type: weeks
            interval: 2
        limits:
          most_recent: 50
        actions:
          summarize:
            destination: gitlab-org/quality/triage-reports
            item: |
              - [ ] gitlab-org/gitlab##{resource[:iid]} {{title}} {{labels}}
            title: |
              #{Date.today.iso8601} Flaky examples
            summary: |
              This report includes several parts:

              - [Top 20 flaky tests sorted by occurrences per file](#top-20-flaky-tests-sorted-by-occurrences-per-file)
              - [Number of flaky tests per type](#number-of-flaky-tests-per-type)
              - [Flaky tests per day for the last 20 days](#flaky-tests-per-day-for-the-last-20-days)
              - [Top 20 flaky test examples sorted by number of reports](#top-20-flaky-test-examples-sorted-by-number-of-reports)
              - [~"failure::flaky-test" issues](#failureflaky-test-issues)

              #{FlakyReport.latest_flaky_report(project_path: ENV['TRIAGE_SOURCE_PATH'], token: ENV['GITLAB_BOT_AUTOMATED_TRIAGE_TOKEN'])}

              ### ~"failure::flaky-test" issues

              This section contains ~"failure::flaky-test" issues created in the last two weeks.

              {{items}}

              /label ~"Engineering Productivity" ~"triage report"
              /assign @rymai @godfat-gitlab @markglenfletcher @alberts-gitlab @kwiebers
